@import "fonts.css";

/* Color */

:root {
    --basic-black: #000000;
    --basic-extra-dark: #242424;
    --basic-dark: #aba9a7;
    --basic-neutral: #e5e5e5;
    --basic-extra-light: #f8f5f2;
    --basic-white: #ffffff;
    --special: #663d15;
}

/* Global */

body {
    min-width: 960px;
    margin: 0;
    padding: 0;
    font-family: "PT Sans Narrow", Arial, sans-serif;
    font-size: 14px;
    line-height: 24px;
    font-weight: 700;
    color: var(--basic-white);
    text-transform: uppercase;
    background-color: var(--basic-black);
    background-image: url(../img/bg/bg.png);
    background-position: top center;
    background-repeat: no-repeat;
}

.page a {
    text-decoration: none;
    color: var(--basic-white);
}

img {
    max-width: 100%;
    height: auto;
}

/* Hidden content */

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;
}

/* Grid */
 
.page {
    height: 100%;
}

.page-body {
    min-height: 100%;
    display: grid;
    grid-template-rows: min-content 1fr min-content;
    align-content: start;
}

/* Main navigation */

.main-navigation {
    display: grid;
    font-size: 16px;
    line-height: 20px;
    color: var(--basic-white);
    background-color: transparent;
}

/* Container */

.container {
    width: 1100px;
    margin: 0 auto;
    padding: 0 10px;
}

/* Logo */

.main-header-logo {
    order: 1;
    justify-self: center;
}

.main-header-logo img {
    margin-top: 100px;
}

.main-header-bar {
    background-color: var(--basic-black);
}


.main-navigation-wrapper {
    display: grid;
    grid-template-columns: 1fr min-content;
    width: 1100px;
    margin: 0 auto;
    padding: 0 10px;
    background-color: var(--basic-black); 
}

/* Site navigation */

.site-navigation {
    display: flex;
    flex-wrap: wrap;
    width: 680px;
    padding: 0;
    margin: 0;
    list-style: none;
    min-height: 70px;
}

.site-navigation-current a:not([href]) {
    background-color: var(--basic-black);
}

/* User navigation */

.site-navigation a, 
.user-navigation a {
    color: var(--basic-white);
    display: block;
    padding: 25px 20px;
}

.site-navigation a:hover,
.site-navigation a:focus,
.user-navigation a:hover,
.user-navigation a:focus {
    background-color: var(--basic-extra-dark);
}

/* Login link */

.login-link::before {
    content: "";
    width: 16px;
    height: 18px;
    background-image: url(../img/svg/login.svg);
    background-repeat: no-repeat;
    background-position: 0 0;
    position: absolute;
    top: 38%;
    left: 15%;
    opacity: 0.3;
}

.login-link:hover::before,
.login-link:focus::before,
.login-link:active::before {
    opacity: 1;
}

.user-navigation .login-link {
    padding-left: 50px;
    position: relative;
}

/* Features */

.features {
    margin-bottom: 80px;

}

.features-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 20px;
    padding: 0;
    list-style: none;
    margin-top: 100px;
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
}

.feature-item {
    text-align: center;
}

.feature-item h3 {
    position: relative;
    margin: 0;
    margin-bottom: 60px;
    font-size: 30px;
    line-height: 42px;
}

.feature-item h3::after {
    content: "";
    position: absolute;
    bottom: -35px;
    left: 50%;
    width: 20px;
    height: 20px;
    margin-left: -10px;
    background-color: var(--basic-white);
    transform: rotate(45deg);
}

.feature-item p {
    margin: 0 10px;

}

/* Index columns */

.index-colums {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 30px 60px;
    margin-bottom: 35px;
    color: var(--basic-black);
    background-color: var(--basic-extra-light);
    background-image: 
        url(../img/bg/line.png),
        url(../img/bg/pattern-light.png);
    background-position: center, 0 0;
    background-repeat: no-repeat, repeat;
}

.index-colums h2 {
    font-size: 30px;
    line-height: 42px;
}

/* News */

.news {
    padding-right: 50px;
}

.news-list {
    margin: 0;
    margin-bottom: 25px;
    padding: 0;
    list-style: none;
}

.news-item p {
    margin: 0;
    padding-bottom: 10px;

}
.news-item .datetime {
    padding-top: 40px;
}


/* Gallery */

.gallery {
    padding-left: 50px;  
}

.gallery-container {
    position: relative;
    height: 297px;
}

.gallery-content {
    height: 200px;
    background-color: var(--basic-dark);
    border: 7px solid var(--basic-white);
}

figure {
    margin: 0;
    padding: 0;
}

.gallery-content img {
    width: 100%;
    height: 100%;
}

.gallery-button {
    position: absolute;
    bottom: 0;
    box-sizing: border-box;
    width: 140px;
    margin: 0;
}

.gallery-button-back {
    left: 0;
}

.gallery-button-next {
    right: 0;
}

/* Button */

.button {
    display: inline-block;
    padding: 10px 30px;

    font: inherit;
    text-align: center;
    color: var(--basic-white);
    vertical-align: middle;
    text-transform: uppercase;
    background-color: var(--basic-black);
    border: none;
}

.button:hover,
.button:focus,
.button:active {
    background-color: var(--special);
}

.button.disabled,
.button:disabled {
    cursor: default;
    opacity: 0.5;
    background-color: var(--basic-black);
}

.button-wrap {
    display: flex;
    justify-content: space-between;
}

/* Contacts */

.contacts {
    padding-right: 50px;
}

.contacts-phone {
    color: inherit;
}

/* Appointment */

.appointment {
    padding-left: 50px;
}

.appointment-info {
    margin: 0;
    margin-bottom: 15px;
}

.appointment-form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.appointment-item {
    width: 200px;
    margin-top: 0;
    margin-bottom: 10px;
}

.appointment-item label {
    display: block;
    margin-bottom: 9px;
    margin-left: 15px;
}

.appointment-item input {
    width: 200px;
    padding-top: 8px;
    padding-right: 15px;
    padding-bottom: 7px;
    padding-left: 15px;
    box-sizing: border-box;
    font: inherit;
    background-color: transparent;
    border: 2px solid var(--basic-black);
}

.appointment-item input:focus {
    border-color: var(--special);
}

.appointment .button {
    display: block;
    width: 100%;
    margin-top: 10px;
    margin-right: 0;
}

/* Main footer */

.main-footer {
    padding: 60px 0;
    margin-top: 65px;
    color: var(--basic-white);
    background-color: var(--basic-extra-dark);
    background-image: url(../img/bg/pattern-dark.png);
    background-position: 0 0;
    background-repeat: repeat;
}

.main-footer .container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.footer-contacts {
    margin: 0;
    width: 320px;
}

.footer-contacts a {
    color: var(--basic-white);
    text-decoration: underline;
}

.footer-contacts a:hover,
.footer-contacts a:focus {
    text-decoration: none;
}

.footer-social {
    width: 145px;
    justify-self: center;
    text-align: center;

}

.footer-social ul {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 141px;
    margin: 0 auto;
    padding: 0;
}

.footer-social h2 {
    font-size: 14px;
}

/* Social button */

.social-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 43px;
    height: 43px;
    background-color: var(--basic-black);
    color: inherit;
}

.social-button:hover,
.social-button:focus {
    background-color: var(--basic-white);
}

.social-button:hover path,
.social-button:focus path {
    fill: var(--basic-black);
}

.footer-copyright {
    max-width: 150px;
    margin: 0;
    justify-self: end;
    margin-block-start: 0.83em;
}

.footer-copyright a{
    margin-top: 12px;
}


.footer-copyright .button:hover,
.footer-copyright .button:focus {
    color: var(--basic-black);
    background-color: var(--basic-white);
}

/* Modal */

.modal {
    display: none;

    color: var(--basic-black);

    background-color: var(--basic-extra-light);
    background-image: url("img/pattern-light.jpg");
    background-repeat: repeat;
    background-position: 0 0;
    box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
    }

.modal-login h2 {
    margin: 0;
    margin-bottom: 20px;
    font-size: 30px;
    line-height: 42px;
}

.modal-description {
    margin: 0;
    margin-bottom: 10px;
}

/* Login form */

.login-form p {
    margin: 0;
    margin-bottom: 10px;
}

.login-form input[type="email"],
.login-form input[type="password"] {
    box-sizing: border-box;
    width: 300px;
    padding-top: 10px;
    padding-right: 40px;
    padding-bottom: 10px;
    padding-left: 15px;

    font: inherit;
    color: var(--basic-black);
    text-transform: uppercase;

    background-color: var(--basic-extra-light);
    border: 2px solid var(--basic-black);
}

.login-form input:focus {
    border-color: var(--special);
}

.login-form .login-help {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 15px 0;
}

.login-icon-user {
    background-image: url("img/user.svg");
    background-repeat: no-repeat;
    background-position: 270px center;
}

.login-icon-password {
    background-image: url("img/lock.svg");
    background-repeat: no-repeat;
    background-position: 270px center;
}

.login-checkbox {
    position: relative;
    padding-left: 30px;
    cursor: pointer;
}

.login-checkbox:hover,
.login-checkbox:focus {
    color: var(--special);
}

.login-checkbox input[type="checkbox"] + .checkbox-indicator {
    position: absolute;
    top: 0;
    left: 0;
    width: 17px;
    height: 17px;
    border: 2px solid var(--basic-black);
}

.login-checkbox input[type="checkbox"]:focus + .checkbox-indicator {
    border-color: var(--special);
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before,
.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
    content: "";
    position: absolute;
    top: 8px;
    left: 1px;
    width: 15px;
    height: 2px;
    background-color: var(--basic-black);
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before {
    transform: rotate(45deg);
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
    transform: rotate(-45deg);
}

.login-form .button {
    width: 100%;
    margin-right: 0;
}

/* Restore */

.restore {
    color: var(--basic-black);
    text-decoration: underline;
}

.restore:hover,
.restore:focus {
    text-decoration: none;
}

/* Modal */

.modal {
  display: none;

  color: var(--basic-black);

  background-color: var(--basic-extra-light);
  background-image: url("img/pattern-light.jpg");
  background-repeat: repeat;
  background-position: 0 0;
  box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
}

.modal-login h2 {
  margin: 0;
  margin-bottom: 20px;

  font-size: 30px;
  line-height: 42px;
}

.modal-description {
  margin: 0;
  margin-bottom: 10px;
}

/* Login form */

.login-form p {
  margin: 0;
  margin-bottom: 10px;
}

.login-form input[type="email"],
.login-form input[type="password"] {
  box-sizing: border-box;
  width: 300px;
  padding-top: 10px;
  padding-right: 40px;
  padding-bottom: 10px;
  padding-left: 15px;

  font: inherit;
  color: var(--basic-black);
  text-transform: uppercase;

  background-color: var(--basic-extra-light);
  border: 2px solid var(--basic-black);
}

.login-form input:focus {
  border-color: var(--special);
}

.login-form .login-help {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 15px 0;
}

.login-icon-user {
  background-image: url("img/user.svg");
  background-repeat: no-repeat;
  background-position: 270px center;
}

.login-icon-password {
  background-image: url("img/lock.svg");
  background-repeat: no-repeat;
  background-position: 270px center;
}

.login-checkbox {
  position: relative;

  padding-left: 30px;

  cursor: pointer;
}

.login-checkbox:hover,
.login-checkbox:focus {
  color: var(--special);
}

.login-checkbox input[type="checkbox"] + .checkbox-indicator {
  position: absolute;
  top: 0;
  left: 0;

  width: 17px;
  height: 17px;

  border: 2px solid var(--basic-black);
}

.login-checkbox input[type="checkbox"]:focus + .checkbox-indicator {
  border-color: var(--special);
  outline: thin dotted;
  outline: 5px auto -webkit-focus-ring-color;
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before,
.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
  content: "";
  position: absolute;
  top: 8px;
  left: 1px;

  width: 15px;
  height: 2px;

  background-color: var(--basic-black);
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before {
  transform: rotate(45deg);
}

.login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
  transform: rotate(-45deg);
}

.login-form .button {
  width: 100%;
  margin-right: 0;
}

/* Restore */

.restore {
  color: var(--basic-black);
  text-decoration: underline;
}

.restore:hover,
.restore:focus {
  text-decoration: none;
}

/* Animations */

@keyframes bounce {
  0% {
    transform: translateY(-2000px);
  }

  70% {
    transform: translateY(30px);
  }

  90% {
    transform: translateY(-10px);
  }

  100% {
    transform: translateY(0);
  }
}

@keyframes shake {
  0%,
  100% {
    transform: translateX(0);
  }

  10%,
  30%,
  50%,
  70%,
  90% {
    transform: translateX(-10px);
  }

  20%,
  40%,
  60%,
  80% {
    transform: translateX(10px);
  }
}

/* Modal */

.modal {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  display: none;
  color: var(--basic-black);
  background-color: var(--basic-extra-light);
  background-image: url("../img/bg/pattern-light.png");
  background-repeat: repeat;
  box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
}

.modal-show {
  display: block;
  animation-name: bounce;
  animation-duration: 0.6s;
}

@keyframes bounce {
  0% {transform: translateY(-2000px);}
  70% {transform: translateY(30px);}
  90% {transform: translateY(-10px);}
  100% {transform: translateY(0);} 
}

.modal-error {
  animation-name: shake;
  animation-duration: 0.6s;
}

@keyframes shake {
  0%, 100% {transform: translateX(0);}
  10%, 30%, 50%, 70%, 90% {transform: translateX(-10px);}
  20%, 40%, 60%, 80% {transform: translateX(10px);}
}

/* Modal close */

.modal-close {
  position: absolute;
  top: 0;
  right: -34px;
  width: 22px;
  height: 22px;
  background-color: transparent;
  border: 0;
  cursor: pointer;
}

.modal-close::before,
.modal-close::after {
  content: "";
  position: absolute;
  top: 10px;
  left: 2px;
  width: 19px;
  height: 3px;
  background-color: var(--basic-dark);
}

.modal-close::before {
  transform: rotate(45deg);
}

.modal-close::after {
  transform: rotate(-45deg);
}

/* Modal login */

.modal-login {
  top: 120px;
  bottom: auto;
  width: 300px;
  padding: 50px 80px;
}

.modal-login h2 {
  margin: 0;
  margin-bottom: 20px;
  font-size: 30px;
  line-height: 42px;
}

.modal-description {
  margin: 0;
  margin-bottom: 10px;
}

/* Modal map */

.modal-map {
  width: 766px;
  height: 560px;
  border: 7px solid white;
}

.modal-map img {
  display: block;
}

.modal-map iframe {
  border: none;
}

/* Login form */

.login-form input[type="email"],
.login-form input[type="password"] {
  font: inherit;
  color: var(--basic-black);
  text-transform: uppercase;
  background-color: var(--basic-extra-light);
  border: 2px solid var(--basic-black);
}

.login-form input:focus {
  border-color: var(--special);
}

.login-icon-user {
    background-image: url("../img/svg/user.svg");
    background-repeat: no-repeat;
    background-position: 270px center;
}

.login-icon-password {
    background-image: url("../img/svg/lock.svg");
    background-repeat: no-repeat;
    background-position: 270px center;
}

/* Restore */

.restore {
    color: var(--basic-black);
    text-decoration: underline;
}

.restore:hover,
.restore:focus {
    text-decoration: none;
}

/* Modal */

.modal {
    display: none;
  
    color: var(--basic-black);
  
    background-color: var(--basic-extra-light);
    background-image: url("img/pattern-light.jpg");
    background-repeat: repeat;
    background-position: 0 0;
    box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
  }
  
  .modal-login h2 {
    margin: 0;
    margin-bottom: 20px;
  
    font-size: 30px;
    line-height: 42px;
  }
  
  .modal-description {
    margin: 0;
    margin-bottom: 10px;
  }
  
  /* Login form */
  
  .login-form p {
    margin: 0;
    margin-bottom: 10px;
  }
  
  .login-form input[type="email"],
  .login-form input[type="password"] {
    box-sizing: border-box;
    width: 300px;
    padding-top: 10px;
    padding-right: 40px;
    padding-bottom: 10px;
    padding-left: 15px;
  
    font: inherit;
    color: var(--basic-black);
    text-transform: uppercase;
  
    background-color: var(--basic-extra-light);
    border: 2px solid var(--basic-black);
  }
  
  .login-form input:focus {
    border-color: var(--special);
  }
  
  .login-form .login-help {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 15px 0;
  }
  
  .login-icon-user {
    background-image: url("img/user.svg");
    background-repeat: no-repeat;
    background-position: 270px center;
  }
  
  .login-icon-password {
    background-image: url("img/lock.svg");
    background-repeat: no-repeat;
    background-position: 270px center;
  }
  
  .login-checkbox {
    position: relative;
  
    padding-left: 30px;
  
    cursor: pointer;
  }
  
  .login-checkbox:hover,
  .login-checkbox:focus {
    color: var(--special);
  }
  
  .login-checkbox input[type="checkbox"] + .checkbox-indicator {
    position: absolute;
    top: 0;
    left: 0;
  
    width: 17px;
    height: 17px;
  
    border: 2px solid var(--basic-black);
  }
  
  .login-checkbox input[type="checkbox"]:focus + .checkbox-indicator {
    border-color: var(--special);
    outline: thin dotted;
    outline: 5px auto -webkit-focus-ring-color;
  }
  
  .login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before,
  .login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
    content: "";
    position: absolute;
    top: 8px;
    left: 1px;
  
    width: 15px;
    height: 2px;
  
    background-color: var(--basic-black);
  }
  
  .login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::before {
    transform: rotate(45deg);
  }
  
  .login-checkbox input[type="checkbox"]:checked + .checkbox-indicator::after {
    transform: rotate(-45deg);
  }
  
  .login-form .button {
    width: 100%;
    margin-right: 0;
  }
  
  /* Restore */
  
  .restore {
    color: var(--basic-black);
    text-decoration: underline;
  }
  
  .restore:hover,
  .restore:focus {
    text-decoration: none;
  }
  
  /* Animations */
  
  @keyframes bounce {
    0% {
      transform: translateY(-2000px);
    }
  
    70% {
      transform: translateY(30px);
    }
  
    90% {
      transform: translateY(-10px);
    }
  
    100% {
      transform: translateY(0);
    }
  }
  
  @keyframes shake {
    0%,
    100% {
      transform: translateX(0);
    }
  
    10%,
    30%,
    50%,
    70%,
    90% {
      transform: translateX(-10px);
    }
  
    20%,
    40%,
    60%,
    80% {
      transform: translateX(10px);
    }
  }
  
  /* Modal */
  
  .modal {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    display: none;
    color: var(--basic-black);
    background-color: var(--basic-extra-light);
    background-image: url("../img/bg/pattern-light.png");
    background-repeat: repeat;
    box-shadow: 0 30px 50px rgba(0, 0, 0, 0.7);
  }
  
  .modal-show {
    display: block;
    animation-name: bounce;
    animation-duration: 0.6s;
  }
  
  @keyframes bounce {
    0% {transform: translateY(-2000px);}
    70% {transform: translateY(30px);}
    90% {transform: translateY(-10px);}
    100% {transform: translateY(0);} 
  }
  
  .modal-error {
    animation-name: shake;
    animation-duration: 0.6s;
  }
  
  @keyframes shake {
    0%, 100% {transform: translateX(0);}
    10%, 30%, 50%, 70%, 90% {transform: translateX(-10px);}
    20%, 40%, 60%, 80% {transform: translateX(10px);}
  }
  
  /* Modal close */
  
  .modal-close {
    position: absolute;
    top: 0;
    right: -34px;
    width: 22px;
    height: 22px;
    background-color: transparent;
    border: 0;
    cursor: pointer;
  }
  
  .modal-close::before,
  .modal-close::after {
    content: "";
    position: absolute;
    top: 10px;
    left: 2px;
    width: 19px;
    height: 3px;
    background-color: var(--basic-dark);
  }
  
  .modal-close::before {
    transform: rotate(45deg);
  }
  
  .modal-close::after {
    transform: rotate(-45deg);
  }
  
  /* Modal login */
  
  .modal-login {
    top: 120px;
    bottom: auto;
    width: 300px;
    padding: 50px 80px;
  }
  
  .modal-login h2 {
    margin: 0;
    margin-bottom: 20px;
    font-size: 30px;
    line-height: 42px;
  }
  
  .modal-description {
    margin: 0;
    margin-bottom: 10px;
  }
  
  /* Modal map */
  
  .modal-map {
    width: 766px;
    height: 560px;
    border: 7px solid white;
  }
  
  .modal-map img {
    display: block;
  }
  
  .modal-map iframe {
    border: none;
  }
  
  /* Login form */
  
  .login-form input[type="email"],
  .login-form input[type="password"] {
    font: inherit;
    color: var(--basic-black);
    text-transform: uppercase;
    background-color: var(--basic-extra-light);
    border: 2px solid var(--basic-black);
  }
  
  .login-form input:focus {
    border-color: var(--special);
  }
  
  .login-icon-user {
  background-image: url("../img/svg/user.svg");
  background-repeat: no-repeat;
  background-position: 270px center;
  }
  
  .login-icon-password {
  background-image: url("../img/svg/lock.svg");
  background-repeat: no-repeat;
  background-position: 270px center;
  }
  
  /* Restore */
  
  .restore {
  color: var(--basic-black);
  text-decoration: underline;
  }
  
  .restore:hover,
  .restore:focus {
  text-decoration: none;
  }